HOT WAX PRO 2-Creating a New File.

CREATING A NEW FILE.

Creating a new file with Hot Wax Pro 2 could not be easier. The dialog on the left is brought forward by either pressing on the "New Document" button on the toolbar, or by selecting "New" from the "File" menu. Then, Simply select which type of file you wish to create and click, "Create".

Y3K Software Online


HOT WAX PRO 2-Openning a New File.

OPENNING A FILE.

You can open a file in a number of ways. When you are in the application you can either select, "Open" from the "File" menu or the open button on the tool bar. Either of these options will present you with the open dialog. You should simply select which file you wish to edit.

If you are not already in the application you can rightclick any HTML file and select to open with Hot Wax Pro 2, this will allow quicker access to the file you wish to edit.


HOT WAX PRO 2-Saving a File.

SAVING A FILE.

Hot Wax Pro 2 shares exactly the same methods of saving as most other Windows compatible applications. To save a file which has not been saved before or a file of which you wish to update the save, simply select, "Save...". To save a file under a new filename select, "Save As...".


HOT WAX PRO 2-The Clipboard.

CLIPBOARD FUNCTIONS.

Hot Wax Pro 2 shares exactly the same methods of using the clipboard as most other Windows compatible applications. The following portion of the toolbar hosts all the functions you will need.

( [image]).


HOT WAX PRO 2-Document Analysis.

DOCUMENT ANALYSIS.

Hot Wax Pro 2 has been developed to make it as fully automated as possible. This means that the file the software parses, so it can insert the scripts in the correct place, has to recognisable to the software. Before inserting a script we suggest that you run a quick document analysis. If the file passes then you can insert any of the Hot Wax Pro 2 scripts.

From the "Tools" menu, select "Analyse HTML Document...", this will bring up the dialog shown. On clicking analyse it will parse the document. If it has successfully found that the file is compatible both boxes will be ticked. If something is wrong the boxes will not be ticked respectively.

The only compatible formats for the HEAD and BODY tags are:

HEAD, head, Head and BODY, body, Body.

* Please note, if you create a file with Hot Wax Pro 2 it will be compatible.


HOT WAX PRO 2-Hex Convertor.

HEX CONVERSION.

You will need, when dealing with HTML and JavaScript, to know the Hex value of a particular color from time to time.

From the "Tools" menu, select "Colour Picker...", this will bring up the dialog shown. If you wish to use the hex value produced simply copy the value to the clipboard.


HOT WAX PRO 2-Multi-Function.

MULTI-FUNCTION GENERATOR.

Existing JavaScript and HTML specifications only allow the author to include one function to execute when a page is loaded. If you wish to execute more than one script at a time you should use Hot Wax Pro's multi-function generator.

From the "Tools" menu, select "Multi-Function on startup...", this will bring up the dialog shown.

Add the functions you wish to execute when the page is loaded and also specify the name of the function you wish to create which will execute these for you. Then, simply click "Add to HTML Page".

*Please note, after inserting the new "onLoad" older instructions may need to be removed.


HOT WAX PRO 2-Page Loaded

SCRIPT : ALERT AFTER PAGE HAS LOADED.

Operation: | This script will execute an alert after the page has loaded with your set message.
Details: | Simply add the alert message you wish to appear to your visitor.

Internet Explorer 4+ [x] : Netscape Navigator 4+ [x]


HOT WAX PRO 2-On Button Click

SCRIPT : ALERT AFTER BUTTON IS CLICKED.

Operation: | This script will execute an alert after the inserted button is clicked.
Details: | Add a short caption for the button and your alert message.

Internet Explorer 4+ [x] : Netscape Navigator 4+ [x]


HOT WAX PRO 2-Go Back in History

SCRIPT : GO BACK IN HISTORY?

Operation: | On entering your page the visitor will be asked your qustion. If they answer "OK" then they stay on your page, "CANCEL" takes them back one place in their history file.
Details: | Simply add the alert message you wish to appear to your visitor.

Internet Explorer 4+ [x] : Netscape Navigator 4+ [x]


HOT WAX PRO 2-Link Alert

SCRIPT : LINK ALERT.

Operation: | This script will execute an alert after the hyperlink is clicked on.
Details: | Simply add the alert message you wish to appear to your visitor, the URL of the hyperlink and the text you wish to become the hyperlink.

Internet Explorer 4+ [x] : Netscape Navigator 4+ [x]


HOT WAX PRO 2-New Location

SCRIPT : NEW LOCATION.

Operation: | This script will execute an alert when the page is loaded. This is useful if a page has changed location.
Details: | Simply add the alert message you wish to appear to your visitor and the URL of the page you wish your visitors to be transfered to.

Internet Explorer 4+ [x] : Netscape Navigator 4+ [x]


HOT WAX PRO 2-Scroll Down

SCRIPT : AUTOSCROLL DOWN.

Operation: | This script will automatically scroll the page down for your visitors.
Details: | Add the caption you wish to appear on the button which executes the script.

Internet Explorer 4+ [x] : Netscape Navigator 4+ [x]


HOT WAX PRO 2-Back/Forward

SCRIPT : BACK / FORWARD IN HISTORY.

Operation: | This script will present your visitors with two buttons, one will move the visitor back in their history file, the other forward in their history file.
Details: | Add the captions you wish to appear on the buttons which executes the script.

Internet Explorer 4+ [x] : Netscape Navigator 4+ [x]


HOT WAX PRO 2-Hyperlink

SCRIPT : HYPERLINK BUTTON.

Operation: | This script will act as a hyperlink, in button form.
Details: | Add the caption you wish to appear on the button which executes the script and the URL of the link.

Internet Explorer 4+ [x] : Netscape Navigator 4+ [x]


HOT WAX PRO 2-Reload

SCRIPT : RELOAD PAGE.

Operation: | This script will reload the page.
Details: | Add the caption you wish to appear on the button which executes the script.

Internet Explorer 4+ [x] : Netscape Navigator 4+ [x]


HOT WAX PRO 2-View Source

SCRIPT : VIEW SOURCE.

Operation: | This script will reveal the page source to your visitors.
Details: | Add the caption you wish to appear on the button which executes the script.

Internet Explorer 4+ [x] : Netscape Navigator 4+ [x]


HOT WAX PRO 2-Breakout

SCRIPT : BREAKOUT OF FRAME.

Operation: | This script will break the page out of a frame situation.
Details: | Simply add the filename of the page which you wish to break free from the frame.

Internet Explorer 4+ [x] : Netscape Navigator 4+ [x]


HOT WAX PRO 2-Browser Discrimination

SCRIPT : BROWSER DISCRIMINATION.

Operation: | This script will send Internet Explorer users to one page and Netscape Navigator users to another page.
Details: | Specify the name of the file you wish each browser to find.

Internet Explorer 4+ [x] : Netscape Navigator 4+ [x]


HOT WAX PRO 2-Disable Mouse Button

SCRIPT : DISABLED MOUSE BUTTONS.

Operation: | This script will diabled the left, right or both mouse buttons, useful for making it less easy to copy webpages.
Details: | Simply specify which button you require disabled.

Internet Explorer 4+ [x] : Netscape Navigator 4+ [x]


HOT WAX PRO 2-Add to Favourites.

SCRIPT : ADD TO FAVORITES.

Operation: | This script will make it easier for your users to add your page to their favorites file.
Details: | Simply add a site description, you URL and link text.

Internet Explorer 4+ [x] : Netscape Navigator 4+ []


HOT WAX PRO 2-Link - Status Description

SCRIPT : LINK DESCRIPTION - STATUS BAR.

Operation: | This script will show your description of a particular link in the status bar when the mouse cursor hovers over it.
Details: | Add the text you wish to act as a link, a description of the link which you wish to appear in the status bar and the URL of the link.

Internet Explorer 4+ [x] : Netscape Navigator 4+ [x]


HOT WAX PRO 2-Link - Mouse Over Image

SCRIPT : MOUSE OVER GENERATOR.

Operation: | When the user passes the mouse over the "normal" image the script will alternate the image to show your other selcted image. Please note that the name of the image needs to change each time the script is inserted into the page.
Details: | Select the image you wish to be displayed normally and when the mouse is over the image. Also, specify the URL of the link and a different image name each time the script is used.

Internet Explorer 4+ [x] : Netscape Navigator 4+ [x]


HOT WAX PRO 2-Link -Page Referral

SCRIPT : PAGE REFERRAL.

Operation: | This script will display the page the user came from to yours.
Details: | Simply add a preceeding caption to the URL.

Internet Explorer 4+ [x] : Netscape Navigator 4+ [x]


HOT WAX PRO 2-Link -Page Update

SCRIPT : PAGE UPDATED.

Operation: | This script will display the date the page was last edited.
Details: | Simply add a preceeding caption to the date.

Internet Explorer 4+ [x] : Netscape Navigator 4+ [x]


HOT WAX PRO 2-Link -Rainbow Lettering

SCRIPT : RAINBOW LETTERING.

Operation: | This script makes the text you specify appear to a rainbow colour formation.
Details: | Simply add the text you wish to use (The more the better).

Internet Explorer 4+ [x] : Netscape Navigator 4+ [x]


HOT WAX PRO 2-Simple Password

SCRIPT : SIMPLE PASSWORD.

Operation: | This script will promt the user for a password, if correct he/she will be taken to your protect page, if wrong the script will attempt to close the window.
Details: | You should add a password, page location, prompt message and farewell message which will be displayed if the password entered is incorrect. Be aware that this is a very basic technique of protecting a page. For greater protection think about .htaccess files.

Internet Explorer 4+ [x] : Netscape Navigator 4+ [x]


HOT WAX PRO 2-SPAM Solution

SCRIPT : SPAM SOLUTION.

Operation: | This script runs a very basic encryption algorithm on your email address. It is stored on your page in a way that will provide SPAM robots with no useful email address. When the user clicks on your email link the address is decrypted.
Details: | Simply add the email link text and your email address.

Internet Explorer 4+ [x] : Netscape Navigator 4+ [x]


HOT WAX PRO 2-TypeWriter Status

SCRIPT : TYPEWRITER - STATUS BAR.

Operation: | This script will type your message on the status bar.
Details: | Simply add your message and generate the script.

Internet Explorer 4+ [x] : Netscape Navigator 4+ [x]


HOT WAX PRO 2-Random Image

SCRIPT : RANDOM IMAGE.

Operation: | This script will display one of the images you specify randomly each time the page is loaded.
Details: | Use the 'Add' button to select your images. The 'Remove' button removes the image selected from the posssible choices for the script. 'Edit' allows you to change the selected image filename.

Internet Explorer 4+ [x] : Netscape Navigator 4+ [x]


HOT WAX PRO 2-Random Status Bar

SCRIPT : RANDOM STATUS BAR QUOTES.

Operation: | This script will display, in order, the text you specify. It will start as a random jumble of letters then is will assemble the letters in the correct order.
Details: | Use the 'Add' button to select your quotations. The 'Remove' but removes the quotation selected from the posssible choices for the script. 'Edit' allows you to change the selected quotation.

Internet Explorer 4+ [x] : Netscape Navigator 4+ [x]


HOT WAX PRO 2-Random Quote

SCRIPT : RANDOM QUOTE.

Operation: | This script will display one of the quotations you specify randomly each time the page is loaded.
Details: | Use the 'Add' button to input your quotations. The 'Remove' button removes the quotation selected from the posssible choices for the script. 'Edit' allows you to change the selected quotation.

Internet Explorer 4+ [x] : Netscape Navigator 4+ [x]


HOT WAX PRO 2-Digital Clock

SCRIPT : DIGITAL CLOCK - STATUS BAR.

Operation: | This script will display a digital clock on the status bar.
Details: | This script does not need any customization, simply add the script to the page.

Internet Explorer 4+ [x] : Netscape Navigator 4+ [x]


HOT WAX PRO 2-Flasher

SCRIPT : FLASHER - STATUS BAR.

Operation: | This script will flash your message on the status bar.
Details: | Simply add your message and generate the script.

Internet Explorer 4+ [x] : Netscape Navigator 4+ [x]


HOT WAX PRO 2-Clock and Date

SCRIPT : TIME AND DATE.

Operation: | This script will display a digital clock with date in a text box.
Details: | This script does not need any customization, simply add the script to the page.

Internet Explorer 4+ [x] : Netscape Navigator 4+ [x]


HOT WAX PRO 2-Clock and Box

SCRIPT : CLOCK IN A BOX.

Operation: | This script will display a digital clock in a text box.
Details: | This script does not need any customization, simply add the script to the page.

Internet Explorer 4+ [x] : Netscape Navigator 4+ [x]


HOT WAX PRO 2-Countdown

SCRIPT : COUNTDOWN TO DATE.

Operation: | This script will display the number of days to a set date.
Details: | Simply add the date you wish to countdown to.

Internet Explorer 4+ [x] : Netscape Navigator 4+ [x]


HOT WAX PRO 2-Insert Scripts.

HOW TO INSERT SCRIPTS.

All the scripts included with this release all operate in similar ways when it comes to inserting the information.

For example, the dialog shown to the left has two buttons at the bottom. "Cancel" will close the dialog without changing your HTML file. "Generate & Insert Script... will generate the script to your specifications and then insert the script into your page.

*Please note, in scripts which insert objects to the body of the page all information is placed at the top of page.


HOT WAX PRO 2-Why Register?.

REGISTERING HOT WAX PRO 2.

This version of Hot Wax Pro 2 is trialware, it is intended for only evaluative purposes. The full version of the software, with all the locks disabled and nag screens removed is available from our website.

On registration you will have all the scripts available to you. You will also be entitled to free minor upgrades and 1/2 price major upgrades as and when they are released. Support will also be made available to you.
  • For more information on how to register, click here.


HOT WAX PRO 2-How do you Register?.

REGISTERING HOT WAX PRO 2.

There are a number of methods. We prefer internet transactions, these are quicker for both us and you. If you are still worried about e-commerce you can mail us your details.

For more information about registering online, click here.

If you wish to register via standard mail, follow these simple instructions:
  • Make a cheque payable for the correct amount to Y3K Software.
  • Post the cheque and your address details to the address below.
Y3K Software
30 Bala Road
Croft
Leicester
LE9 3GF
England
  • For more information on the costs of registering, click here.


HOT WAX PRO 2-Cost of Registration.

REGISTERING HOT WAX PRO 2.

The cost of each licence depends on how many licences you wish to purchase.

Every single computer which will run the full version of Hot Wax Pro 2 needs an individual licence.

Number. | Cost (US$)
1 | 32.00
2 | 30.00
3 | 28.00
4 | 26.00
5 | 24.00
10 | 22.00
10+ | 18.00


HOT WAX PRO 2

PRELIMINARY SCRIPT DETAILS:
  • Alert Script's:
    • After Page has Loaded.
    • On Button Click.
    • Go Back in History?
    • Link Alert.
    • New Location?
  • Button Script's:
    • Auto Scroll Down.
    • Back / Forward in History.
    • Hyperlink.
    • Reload Page.
    • View Source.
  • Misc. Script's:
    • Breakout of Frame.
    • Browser Discrimination.
    • Disable Mouse Button's.
    • IE - Add to Favorites.
    • Image MouseOver.
    • Page Referrer.
    • Page Last Updated.
    • Rainbow Lettering.
    • Simple Password.
    • SPAM Solution.
  • Random Script's:
    • Random Image.
    • Random Quote.
    • Random Status Bar.
  • Status Bar Script's:
    • Digital Clock
    • Flasher.
    • Quote.
  • Time & Date Script's:
    • Clock & Date.
    • Countdown to Date.
    • Clock in a Box.
    • Digital Clock (Status Bar)